/* vim: set sw=8 ts=8 si : */
/*************************************************************************
 Title	:   C include file for analog conversion
 Target:    atmega88
 Copyright: GPL V2
***************************************************************************/
#ifndef ANALOG_H
#define ANALOG_H

// return analog value of a given channel.
extern int convertanalog(unsigned char channel);

// temperature sensor1, results in celsius times 10:
extern int tempcelsius1(int adcval);
// temperature sensor2, results in celsius times 10:
extern int tempcelsius2(int adcval);
// convert temperature to kelvin times 10 
extern int c2f(int celsiustimes10);

extern int pressure(int adcval);
extern int pressureATsealevel(int phpa10);

#endif /* ANALOG_H */
